%global __provides_exclude_from ^%{_libdir}/%{name}.*/.*\\.so

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define tainted 0
%if "%distro_section" == "tainted"
%define tainted 1
%endif

Name:           qmmp
Version:        2.1.8
Release:        %mkrel 2
Summary:        Feature-rich Qt-based multimedia player
License:        GPLv2+
Group:          Sound/Players
#https://code.google.com/p/qmmp
URL:            https://qmmp.ylsoftware.com
Source0:        https://qmmp.ylsoftware.com/files/%{name}/2.1/%{name}-%{version}.tar.bz2

BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  musepack-devel
BuildRequires:  pkgconfig(wildmidi) >= 0.2.3.4
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(enca) >= 1.9
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libbs2b) >= 3.0.0
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmms) >= 0.4
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libprojectM)
BuildRequires:  pkgconfig(libpulse-simple) >= 0.9.15
BuildRequires:  pkgconfig(libsidplayfp)
BuildRequires:  pkgconfig(libxmp)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(opus) >= 1.0.2
BuildRequires:  pkgconfig(opusfile) >= 0.2
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(shout)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(soxr)
BuildRequires:  pkgconfig(taglib) >= 1.6
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(wavpack)
BuildRequires:  pkgconfig(x11)
%if %{tainted}
BuildRequires:  pkgconfig(faad2)
%endif
BuildRequires:  cmake
BuildRequires:  ninja

Requires:       unzip
Requires:       wildmidi
Recommends:     qmmp-plugin-pack >= %{version}

%description
Qmmp is a feature-rich audio player, written with help of the Qt library.
The user interface is similar to winamp or xmms.
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}*/
%{_datadir}/solid/actions/%{name}-opencda.desktop
%{_datadir}/applications/%{name}*.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}*

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared libraries for Qmmp
Group:          System/Libraries

%description -n %{libname}
This package contains shared libraries for Qmmp (qmmp and qmmpui).
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}ui.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for the Qmmp libraries
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and libraries to develop
applications using the qmmp and qmmpui libraries.
%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%files -n       %{devname}
%{_includedir}/%{name}/
%{_includedir}/%{name}ui/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}ui.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}ui.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_OSS:BOOL=ON \
           -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install


%changelog
* Tue Jun 11 2024 daviddavid <daviddavid> 2.1.8-2.mga10
+ Revision: 2072698
- rebuild for new libsidplayfp 2.8.0

* Thu May 23 2024 daviddavid <daviddavid> 2.1.8-1.mga10
+ Revision: 2066263
- new version: 2.1.8

* Thu Apr 18 2024 daviddavid <daviddavid> 2.1.7-1.mga10.tainted
+ Revision: 2058786
- new version: 2.1.7

* Tue Mar 12 2024 daviddavid <daviddavid> 2.1.6-1.mga10.tainted
+ Revision: 2049244
- new version: 2.1.6

* Fri Sep 01 2023 daviddavid <daviddavid> 2.1.5-1.mga10.tainted
+ Revision: 1983291
- new version: 2.1.5

* Fri Jun 02 2023 daviddavid <daviddavid> 2.1.4-1.mga9.tainted
+ Revision: 1960571
- new version: 2.1.4

* Fri Mar 31 2023 daviddavid <daviddavid> 2.1.3-3.mga9
+ Revision: 1951007
- enable libxmp support

* Thu Mar 30 2023 daviddavid <daviddavid> 2.1.3-2.mga9.tainted
+ Revision: 1950864
- switch to latest musepack SV8 instead of deprecated libmpcdec
- enable pipewire support

* Thu Mar 30 2023 daviddavid <daviddavid> 2.1.3-1.mga9.tainted
+ Revision: 1950783
- new version: 2.1.3

* Sun Nov 20 2022 wally <wally> 2.1.2-3.mga9.tainted
+ Revision: 1909364
- fix private module provide excludes

* Sun Nov 20 2022 wally <wally> 2.1.2-2.mga9.tainted
+ Revision: 1909281
- rebuild for flac 1.4.2

* Sun Nov 06 2022 daviddavid <daviddavid> 2.1.2-1.mga9.tainted
+ Revision: 1904102
- new version: 2.1.2

* Tue Aug 23 2022 papoteur <papoteur> 2.1.1-1.mga9
+ Revision: 1879499
- new 2.1.1. Release with Qt6

* Sun Mar 13 2022 mrambo3501 <mrambo3501> 1.5.0-4.mga9.tainted
+ Revision: 1790730
- rebuild for ffmpeg 5.0

* Wed May 26 2021 daviddavid <daviddavid> 1.5.0-3.mga9.tainted
+ Revision: 1728525
- compile MPEG decoders with both mad and mpg123 support

* Wed May 26 2021 daviddavid <daviddavid> 1.5.0-2.mga9.tainted
+ Revision: 1728491
- enable Archive support and SID support

* Wed May 26 2021 daviddavid <daviddavid> 1.5.0-1.mga9.tainted
+ Revision: 1728447
- new version: 1.5.0

* Mon May 10 2021 daviddavid <daviddavid> 1.4.6-1.mga9.tainted
+ Revision: 1722385
- new version: 1.4.6

* Fri Apr 30 2021 daviddavid <daviddavid> 1.4.5-1.mga9.tainted
+ Revision: 1720488
- new version: 1.4.5

* Thu Feb 25 2021 daviddavid <daviddavid> 1.4.4-1.mga9
+ Revision: 1690764
- new version: 1.4.4

* Sat Dec 19 2020 daviddavid <daviddavid> 1.4.3-1.mga8.tainted
+ Revision: 1661108
- new version: 1.4.3

* Thu Dec 17 2020 umeabot <umeabot> 1.4.2-2.mga8.tainted
+ Revision: 1659499
- Rebuild for new Qt5

* Thu Sep 24 2020 daviddavid <daviddavid> 1.4.2-1.mga8.tainted
+ Revision: 1629658
- new version: 1.4.2

* Mon Jul 20 2020 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1607318
- new version: 1.4.1

* Thu Apr 30 2020 daviddavid <daviddavid> 1.4.0-1.mga8.tainted
+ Revision: 1573424
- new version: 1.4.0

* Tue Apr 28 2020 daviddavid <daviddavid> 1.3.7-2.mga8
+ Revision: 1572605
- rebuild for new libprojectm 3.1.3

* Sat Mar 28 2020 daviddavid <daviddavid> 1.3.7-1.mga8.tainted
+ Revision: 1561298
- new version: 1.3.7

* Wed Feb 19 2020 umeabot <umeabot> 1.3.6-2.mga8.tainted
+ Revision: 1543492
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 daviddavid <daviddavid> 1.3.6-1.mga8
+ Revision: 1481767
- new version: 1.3.6
+ wally <wally>
- build with new cmake macros

* Sun Dec 22 2019 daviddavid <daviddavid> 1.3.5-1.mga8
+ Revision: 1469444
- new version: 1.3.5

* Thu Aug 29 2019 daviddavid <daviddavid> 1.3.4-1.mga8
+ Revision: 1434944
- new version: 1.3.4

* Sun Jul 14 2019 daviddavid <daviddavid> 1.3.3-2.mga8
+ Revision: 1421268
- rebuild for new libcdio 2.1.0

* Sun Jun 30 2019 daviddavid <daviddavid> 1.3.3-1.mga8.tainted
+ Revision: 1416363
- new version: 1.3.3

* Mon Apr 01 2019 umeabot <umeabot> 1.3.1-2.mga7.tainted
+ Revision: 1384230
- Qt5 Rebuild

* Thu Feb 28 2019 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1370447
- new version: 1.3.1
- remove merged upstream patch

* Thu Feb 14 2019 daviddavid <daviddavid> 1.3.0-3.mga7.tainted
+ Revision: 1367073
- recommend qmmp-plugin-pack

* Thu Feb 14 2019 daviddavid <daviddavid> 1.3.0-2.mga7
+ Revision: 1367054
- fix plugins path with -DCMAKE_INSTALL_LIBDIR=lib(64)

* Wed Feb 13 2019 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1366701
- new version: 1.3.0
- add upstream patch to added projectm 3.1 support
  * https://sourceforge.net/p/qmmp-dev/tickets/988/

* Sun Feb 10 2019 daviddavid <daviddavid> 1.2.6-3.mga7.tainted
+ Revision: 1365051
- devel pkg require main libraries

* Mon Feb 04 2019 daviddavid <daviddavid> 1.2.6-2.mga7.tainted
+ Revision: 1363197
- rebuild against new Qt5 5.12.1

* Sat Jan 12 2019 daviddavid <daviddavid> 1.2.6-1.mga7.tainted
+ Revision: 1355565
- new version: 1.2.6

* Tue Jan 01 2019 daviddavid <daviddavid> 1.2.5-1.mga7
+ Revision: 1348343
- new version: 1.2.5

* Sat Sep 22 2018 daviddavid <daviddavid> 1.2.4-1.mga7.tainted
+ Revision: 1296349
- new version: 1.2.4

* Sat Jul 21 2018 daviddavid <daviddavid> 1.2.3-1.mga7.tainted
+ Revision: 1244692
- new version: 1.2.3

* Sat Jun 02 2018 daviddavid <daviddavid> 1.2.2-1.mga7.tainted
+ Revision: 1233562
- new version: 1.2.2

* Fri Apr 27 2018 daviddavid <daviddavid> 1.2.1-2.mga7
+ Revision: 1222796
- rebuild for new ffmpeg 4.0

* Sat Apr 21 2018 daviddavid <daviddavid> 1.2.1-1.mga7.tainted
+ Revision: 1220695
- new version: 1.2.1

* Fri Feb 02 2018 daviddavid <daviddavid> 1.2.0-3.mga7
+ Revision: 1198545
- rebuild for new libvpx 1.7.0

* Sun Jan 14 2018 wally <wally> 1.2.0-2.mga7.tainted
+ Revision: 1193053
- rebuild for new libcdio

* Sun Dec 03 2017 daviddavid <daviddavid> 1.2.0-1.mga7.tainted
+ Revision: 1180758
- new version: 1.2.0

* Thu Oct 26 2017 daviddavid <daviddavid> 1.1.12-1.mga7
+ Revision: 1173826
- new version: 1.1.12

* Mon Oct 23 2017 daviddavid <daviddavid> 1.1.11-1.mga7.tainted
+ Revision: 1173174
- new version: 1.1.11

* Fri Aug 11 2017 daviddavid <daviddavid> 1.1.10-1.mga7.tainted
+ Revision: 1139695
- new version: 1.1.10

* Tue Jul 25 2017 daviddavid <daviddavid> 1.1.9-1.mga7.tainted
+ Revision: 1130770
- new version: 1.1.9

* Tue May 02 2017 akien <akien> 1.1.8-2.mga6
+ Revision: 1098371
- Rebuild for ffmpeg 3.3

* Wed Apr 26 2017 akien <akien> 1.1.8-1.mga6.tainted
+ Revision: 1097576
- Version 1.1.8

* Wed Mar 08 2017 akien <akien> 1.1.5-2.mga6.tainted
+ Revision: 1090234
- Rebuild for ffmpeg 3.2.4

* Sun Nov 13 2016 akien <akien> 1.1.5-1.1.mga6.tainted
+ Revision: 1067043
- Rebuild in tainted

* Sun Nov 13 2016 daviddavid <daviddavid> 1.1.5-1.mga6
+ Revision: 1066971
- new version: 1.1.5
- enable SoX Resampler, JACK and Qt5 Multimedia support

* Tue Sep 06 2016 akien <akien> 1.1.3-2.mga6.tainted
+ Revision: 1050215
- Rebuild for tainted

* Mon Sep 05 2016 akien <akien> 1.1.3-1.mga6
+ Revision: 1050150
- Version 1.1.3

* Mon May 02 2016 daviddavid <daviddavid> 1.0.9-1.mga6.tainted
+ Revision: 1008743
- new version: 1.0.9

* Mon Apr 04 2016 daviddavid <daviddavid> 1.0.7-1.mga6.tainted
+ Revision: 998312
- new version: 1.0.7

* Tue Mar 15 2016 daviddavid <daviddavid> 1.0.6-1.mga6.tainted
+ Revision: 990763
- new version: 1.0.6
- switch build to Qt5
- now libmajor is 1

* Tue Feb 16 2016 umeabot <umeabot> 0.8.3-3.mga6.tainted
+ Revision: 962513
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 sander85 <sander85> 0.8.3-2.mga6.tainted
+ Revision: 854745
- Rebuild for new libcdio

* Wed Mar 04 2015 akien <akien> 0.8.3-1.mga5.tainted
+ Revision: 817754
- Exclude plugins from AutoProvides
- Version 0.8.3
- Follow the library policy of Mageia
- Drop useless %%rename calls

* Wed Jan 07 2015 alexl <alexl> 0.7.2-6.mga5.tainted
+ Revision: 809149
- merged desktop files with upstream

* Fri Nov 14 2014 cjw <cjw> 0.7.2-5.mga5.tainted
+ Revision: 796953
- rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-4.mga5.tainted
+ Revision: 742411
- Second Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.7.2-3.mga5.tainted
+ Revision: 592246
- rebuild for libcdio

* Sun Sep 01 2013 fwang <fwang> 0.7.2-2.mga4.tainted
+ Revision: 473899
- rebuild for new cdio

* Fri Aug 30 2013 fwang <fwang> 0.7.2-1.mga4.tainted
+ Revision: 473234
- new version 0.7.2

* Sun Jul 21 2013 fwang <fwang> 0.7.1-2.mga4.tainted
+ Revision: 456750
- update file list
- do not package devel files
- cleanup br

* Sun Jul 21 2013 fwang <fwang> 0.7.1-1.mga4
+ Revision: 456732
- new version 0.7.1

* Sat Mar 30 2013 kamil <kamil> 0.6.8-1.mga4.tainted
+ Revision: 406690
- new version and fix core dumps problems

* Sun Jan 13 2013 umeabot <umeabot> 0.6.5-3.mga3.nonfree
+ Revision: 379854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.6.5-2.mga3
+ Revision: 341738
- rebuild for new ffmpeg

* Tue Dec 11 2012 kamil <kamil> 0.6.5-1.mga3.tainted
+ Revision: 329777
- new version 0.6.5

* Sun Dec 02 2012 kamil <kamil> 0.6.4-2.mga3.tainted
+ Revision: 324757
- rebuild for Mga3 Beta1

* Mon Nov 05 2012 fwang <fwang> 0.6.4-1.mga3.tainted
+ Revision: 314315
- update rpm group
- new version 0.6.4

* Sun Aug 19 2012 kamil <kamil> 0.6.3-1.mga3.tainted
+ Revision: 282102
- new version 0.6.4

* Fri Aug 03 2012 kamil <kamil> 0.6.2-1.mga3.tainted
+ Revision: 278050
- new version 0.6.2

* Thu Jul 26 2012 fwang <fwang> 0.6.1-1.mga3.tainted
+ Revision: 274442
- new version 0.6.1

* Sat Jun 30 2012 kamil <kamil> 0.6.0-1.mga3.tainted
+ Revision: 265621
- new version 0.6.0

* Sat Jun 16 2012 fwang <fwang> 0.5.6-1.mga3.tainted
+ Revision: 260933
- new version 0.5.6

* Wed May 30 2012 kamil <kamil> 0.5.5-1.mga3.tainted
+ Revision: 251811
- new version 0.5.5

* Wed Mar 07 2012 kamil <kamil> 0.5.4-1.mga2.tainted
+ Revision: 220923
- new version 0.5.4

* Mon Feb 06 2012 kamil <kamil> 0.5.3-2.mga2.tainted
+ Revision: 205478
- bump release to be updateable from Mga 1

* Mon Feb 06 2012 kamil <kamil> 0.5.3-1.mga2.tainted
+ Revision: 205122
- new version 0.5.3

* Fri Feb 03 2012 kamil <kamil> 0.5.1-3.mga2.tainted
+ Revision: 204241
- enable ACC support only in tainted
- add AAC support
- adapt .spec for Mageia
- imported package qmmp


* Fri May 20 2011 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 676418
- update file list
- update to new version 0.5.1

  + Sergey Zhemoitel <serg@mandriva.org>
    - correct require wildmidi
    - add require wildmidi
    - add require wildmidi 0.2.3.4 version

* Sat Mar 26 2011 Funda Wang <fwang@mandriva.org> 0.5.0-1
+ Revision: 648585
- update file list
- new version 0.5.0

* Sat Mar 12 2011 Funda Wang <fwang@mandriva.org> 0.4.5-1
+ Revision: 644009
- update to new version 0.4.5

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.4.3-1mdv2011.0
+ Revision: 593058
- new version 0.4.3

* Fri Oct 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 589920
- update to 0.4.2
- clean spec and remove the "mdkversion < 200900" macros

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 550677
- update file list
- New version 0.4.1

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.3.4-2mdv2011.0
+ Revision: 550644
- rebuild for new libmodplug

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.3.4-1mdv2010.1
+ Revision: 536549
- new version 0.3.4

* Thu Mar 11 2010 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2010.1
+ Revision: 517894
- New version 0.3.3

* Mon Jan 18 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.2-1mdv2010.1
+ Revision: 493275
- update to new version 0.3.2

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2010.1
+ Revision: 463500
- new version 0.3.1

* Sun Jul 05 2009 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2010.0
+ Revision: 392518
- New version 0.3.0

* Mon May 04 2009 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2010.0
+ Revision: 371561
- use ulong rather than uint
- New version 0.2.4

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.1
+ Revision: 310111
- New versio n0.2.3
- drop upstream patches

* Sun Oct 19 2008 Funda Wang <fwang@mandriva.org> 0.2.2-3mdv2009.1
+ Revision: 295181
- rebuild for new ffmpeg

* Tue Sep 02 2008 Funda Wang <fwang@mandriva.org> 0.2.2-2mdv2009.0
+ Revision: 278804
- add patch fixing parallel build and fixes for lib64
- add patch (upstream) to build out of source

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2009.0
+ Revision: 278050
- New version 0.2.2

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 0.2.0-2mdv2009.0
+ Revision: 263664
- add conflicts to ease upgrading
- use cmake to build
- New version 0.2.0
- fix URL

* Sat Jul 12 2008 Funda Wang <fwang@mandriva.org> 0.1.6-1mdv2009.0
+ Revision: 234151
- BR ffmpeg
- import qmmp


